Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.registry.infomodel
Interface ExternalLink

All Superinterfaces:
  ExtensibleObject, RegistryObject, URIValidator

public interface ExternalLink
extends RegistryObject, URIValidator

Version:
  $Revision: 1.1 $
Author:
  Scott.Stark@jboss.org

Method Summary
`String` | `getExternalURI()`
`Collection` | `getLinkedObjects()`
`void` | `setExternalURI(String uri)`

Methods inherited from interface javax.xml.registry.infomodel.RegistryObject
`addAssociation, addAssociations, addClassification, addClassifications, addExternalIdentifier, addExternalIdentifiers, addExternalLink, addExternalLinks, getAssociatedObjects, getAssociations, getAuditTrail, getClassifications, getDescription, getExternalIdentifiers, getExternalLinks, getKey, getLifeCycleManager, getName, getObjectType, getRegistryPackages, getSubmittingOrganization, removeAssociation, removeAssociations, removeClassification, removeClassifications, removeExternalIdentifier, removeExternalIdentifiers, removeExternalLink, removeExternalLinks, setAssociations, setClassifications, setDescription, setExternalIdentifiers, setExternalLinks, setKey, setName, toXML`

Methods inherited from interface javax.xml.registry.infomodel.ExtensibleObject
`addSlot, addSlots, getSlot, getSlots, removeSlot, removeSlots`

Methods inherited from interface javax.xml.registry.infomodel.URIValidator
`getValidateURI, setValidateURI`

Method Detail

### getExternalURI

    public String getExternalURI()
                          throws JAXRException

  Throws:
    `JAXRException`

### getLinkedObjects

    public Collection getLinkedObjects()
                                throws JAXRException

  Throws:
    `JAXRException`

### setExternalURI

    public void setExternalURI(String uri)
                        throws JAXRException

  Throws:
    `JAXRException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.